Subject: EDSAC veterans visit to rekindle memories
From: Stephen Fleming <[email-masked]>
To: <[email-masked]>
Date: Tue, 6 Sep 2016 10:19:21 +0100

NEWS RELEASE

EDSAC veterans rekindle memories of working with one of the world's first
computers

6 September 2016

Life working with one of the world's first general purpose computers was
brought vividly to life when EDSAC veterans visited The National Museum of
Computing to see the latest stage of the reconstruction of the 1950's
Cambridge University computer.

What did they think? Story with short video and photos here:
http://www.tnmoc.org/news/news-releases/edsac-veterans-visit-reconstruction-
rekindle-memories